## GdlDockTablabel GdlDockTablabel — A custom label widget. |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    struct              GdlDockTablabel;
    GtkWidget *         gdl_dock_tablabel_new               (GdlDockItem *item);
    void                gdl_dock_tablabel_activate          (GdlDockTablabel *tablabel);
    void                gdl_dock_tablabel_deactivate        (GdlDockTablabel *tablabel);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GdlDockTablabel

## Implemented Interfaces

GdlDockTablabel implements AtkImplementorIface and GtkBuildable.

## Properties

      "item"                     GdlDockItem*          : Read / Write

## Signals

      "button-pressed-handle"                          : Run Last

## Description

This is a deprecated label widget in GDL 3.6.

## Details

### struct GdlDockTablabel

    struct GdlDockTablabel;

### Warning

`GdlDockTablabel` is deprecated and should not be used in newly-written code.

### gdl_dock_tablabel_new ()

    GtkWidget *         gdl_dock_tablabel_new               (GdlDockItem *item);

### Warning

`gdl_dock_tablabel_new` has been deprecated since version 3.6 and should not be used in newly-written code. Use a GtkLabel instead

Creates a new GDL tab label widget.

`item` : | The dock item that associated with this label widget.
Returns : | a new GdlDockTablabel.

### gdl_dock_tablabel_activate ()

    void                gdl_dock_tablabel_activate          (GdlDockTablabel *tablabel);

### Warning

`gdl_dock_tablabel_activate` has been deprecated since version 3.6 and should not be used in newly-written code.

Set the widget in "activated" state.

`tablabel` : | A GdlDockTablabel widget

### gdl_dock_tablabel_deactivate ()

    void                gdl_dock_tablabel_deactivate        (GdlDockTablabel *tablabel);

### Warning

`gdl_dock_tablabel_deactivate` has been deprecated since version 3.6 and should not be used in newly-written code.

Set the widget in "deactivated" state.

`tablabel` : | A GdlDockTablabel widget

## Property Details

### The `"item"` property

      "item"                     GdlDockItem*          : Read / Write

Dockitem which 'owns' this tablabel.

## Signal Details

### The `"button-pressed-handle"` signal

    void                user_function                      (GdlDockTablabel *label,
                                                            GdkEvent        *event,
                                                            gpointer         user_data)      : Run Last

This signal is emitted when the user clicks on the label.

`label` : | The GdlDockTablabel
`event` : | A GdkEvent
`user_data` : | user data set when the signal handler was connected.